/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/ 		var executeModules = data[2];
/******/
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 		// add entry modules from loaded chunk to deferred list
/******/ 		deferredModules.push.apply(deferredModules, executeModules || []);
/******/
/******/ 		// run deferred modules when all chunks ready
/******/ 		return checkDeferredModules();
/******/ 	};
/******/ 	function checkDeferredModules() {
/******/ 		var result;
/******/ 		for(var i = 0; i < deferredModules.length; i++) {
/******/ 			var deferredModule = deferredModules[i];
/******/ 			var fulfilled = true;
/******/ 			for(var j = 1; j < deferredModule.length; j++) {
/******/ 				var depId = deferredModule[j];
/******/ 				if(installedChunks[depId] !== 0) fulfilled = false;
/******/ 			}
/******/ 			if(fulfilled) {
/******/ 				deferredModules.splice(i--, 1);
/******/ 				result = __webpack_require__(__webpack_require__.s = deferredModule[0]);
/******/ 			}
/******/ 		}
/******/
/******/ 		return result;
/******/ 	}
/******/ 	function hotDisposeChunk(chunkId) {
/******/ 		delete installedChunks[chunkId];
/******/ 	}
/******/ 	var parentHotUpdateCallback = window["webpackHotUpdate"];
/******/ 	window["webpackHotUpdate"] = // eslint-disable-next-line no-unused-vars
/******/ 	function webpackHotUpdateCallback(chunkId, moreModules) {
/******/ 		hotAddUpdateChunk(chunkId, moreModules);
/******/ 		if (parentHotUpdateCallback) parentHotUpdateCallback(chunkId, moreModules);
/******/ 	} ;
/******/
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	function hotDownloadUpdateChunk(chunkId) {
/******/ 		var script = document.createElement("script");
/******/ 		script.charset = "utf-8";
/******/ 		script.src = __webpack_require__.p + "" + chunkId + "." + hotCurrentHash + ".hot-update.js";
/******/ 		if (null) script.crossOrigin = null;
/******/ 		document.head.appendChild(script);
/******/ 	}
/******/
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	function hotDownloadManifest(requestTimeout) {
/******/ 		requestTimeout = requestTimeout || 10000;
/******/ 		return new Promise(function(resolve, reject) {
/******/ 			if (typeof XMLHttpRequest === "undefined") {
/******/ 				return reject(new Error("No browser support"));
/******/ 			}
/******/ 			try {
/******/ 				var request = new XMLHttpRequest();
/******/ 				var requestPath = __webpack_require__.p + "" + hotCurrentHash + ".hot-update.json";
/******/ 				request.open("GET", requestPath, true);
/******/ 				request.timeout = requestTimeout;
/******/ 				request.send(null);
/******/ 			} catch (err) {
/******/ 				return reject(err);
/******/ 			}
/******/ 			request.onreadystatechange = function() {
/******/ 				if (request.readyState !== 4) return;
/******/ 				if (request.status === 0) {
/******/ 					// timeout
/******/ 					reject(
/******/ 						new Error("Manifest request to " + requestPath + " timed out.")
/******/ 					);
/******/ 				} else if (request.status === 404) {
/******/ 					// no update available
/******/ 					resolve();
/******/ 				} else if (request.status !== 200 && request.status !== 304) {
/******/ 					// other failure
/******/ 					reject(new Error("Manifest request to " + requestPath + " failed."));
/******/ 				} else {
/******/ 					// success
/******/ 					try {
/******/ 						var update = JSON.parse(request.responseText);
/******/ 					} catch (e) {
/******/ 						reject(e);
/******/ 						return;
/******/ 					}
/******/ 					resolve(update);
/******/ 				}
/******/ 			};
/******/ 		});
/******/ 	}
/******/
/******/ 	var hotApplyOnUpdate = true;
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	var hotCurrentHash = "992955514ff4a5a0eb1f";
/******/ 	var hotRequestTimeout = 10000;
/******/ 	var hotCurrentModuleData = {};
/******/ 	var hotCurrentChildModule;
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	var hotCurrentParents = [];
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	var hotCurrentParentsTemp = [];
/******/
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	function hotCreateRequire(moduleId) {
/******/ 		var me = installedModules[moduleId];
/******/ 		if (!me) return __webpack_require__;
/******/ 		var fn = function(request) {
/******/ 			if (me.hot.active) {
/******/ 				if (installedModules[request]) {
/******/ 					if (installedModules[request].parents.indexOf(moduleId) === -1) {
/******/ 						installedModules[request].parents.push(moduleId);
/******/ 					}
/******/ 				} else {
/******/ 					hotCurrentParents = [moduleId];
/******/ 					hotCurrentChildModule = request;
/******/ 				}
/******/ 				if (me.children.indexOf(request) === -1) {
/******/ 					me.children.push(request);
/******/ 				}
/******/ 			} else {
/******/ 				console.warn(
/******/ 					"[HMR] unexpected require(" +
/******/ 						request +
/******/ 						") from disposed module " +
/******/ 						moduleId
/******/ 				);
/******/ 				hotCurrentParents = [];
/******/ 			}
/******/ 			return __webpack_require__(request);
/******/ 		};
/******/ 		var ObjectFactory = function ObjectFactory(name) {
/******/ 			return {
/******/ 				configurable: true,
/******/ 				enumerable: true,
/******/ 				get: function() {
/******/ 					return __webpack_require__[name];
/******/ 				},
/******/ 				set: function(value) {
/******/ 					__webpack_require__[name] = value;
/******/ 				}
/******/ 			};
/******/ 		};
/******/ 		for (var name in __webpack_require__) {
/******/ 			if (
/******/ 				Object.prototype.hasOwnProperty.call(__webpack_require__, name) &&
/******/ 				name !== "e" &&
/******/ 				name !== "t"
/******/ 			) {
/******/ 				Object.defineProperty(fn, name, ObjectFactory(name));
/******/ 			}
/******/ 		}
/******/ 		fn.e = function(chunkId) {
/******/ 			if (hotStatus === "ready") hotSetStatus("prepare");
/******/ 			hotChunksLoading++;
/******/ 			return __webpack_require__.e(chunkId).then(finishChunkLoading, function(err) {
/******/ 				finishChunkLoading();
/******/ 				throw err;
/******/ 			});
/******/
/******/ 			function finishChunkLoading() {
/******/ 				hotChunksLoading--;
/******/ 				if (hotStatus === "prepare") {
/******/ 					if (!hotWaitingFilesMap[chunkId]) {
/******/ 						hotEnsureUpdateChunk(chunkId);
/******/ 					}
/******/ 					if (hotChunksLoading === 0 && hotWaitingFiles === 0) {
/******/ 						hotUpdateDownloaded();
/******/ 					}
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 		fn.t = function(value, mode) {
/******/ 			if (mode & 1) value = fn(value);
/******/ 			return __webpack_require__.t(value, mode & ~1);
/******/ 		};
/******/ 		return fn;
/******/ 	}
/******/
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	function hotCreateModule(moduleId) {
/******/ 		var hot = {
/******/ 			// private stuff
/******/ 			_acceptedDependencies: {},
/******/ 			_declinedDependencies: {},
/******/ 			_selfAccepted: false,
/******/ 			_selfDeclined: false,
/******/ 			_selfInvalidated: false,
/******/ 			_disposeHandlers: [],
/******/ 			_main: hotCurrentChildModule !== moduleId,
/******/
/******/ 			// Module API
/******/ 			active: true,
/******/ 			accept: function(dep, callback) {
/******/ 				if (dep === undefined) hot._selfAccepted = true;
/******/ 				else if (typeof dep === "function") hot._selfAccepted = dep;
/******/ 				else if (typeof dep === "object")
/******/ 					for (var i = 0; i < dep.length; i++)
/******/ 						hot._acceptedDependencies[dep[i]] = callback || function() {};
/******/ 				else hot._acceptedDependencies[dep] = callback || function() {};
/******/ 			},
/******/ 			decline: function(dep) {
/******/ 				if (dep === undefined) hot._selfDeclined = true;
/******/ 				else if (typeof dep === "object")
/******/ 					for (var i = 0; i < dep.length; i++)
/******/ 						hot._declinedDependencies[dep[i]] = true;
/******/ 				else hot._declinedDependencies[dep] = true;
/******/ 			},
/******/ 			dispose: function(callback) {
/******/ 				hot._disposeHandlers.push(callback);
/******/ 			},
/******/ 			addDisposeHandler: function(callback) {
/******/ 				hot._disposeHandlers.push(callback);
/******/ 			},
/******/ 			removeDisposeHandler: function(callback) {
/******/ 				var idx = hot._disposeHandlers.indexOf(callback);
/******/ 				if (idx >= 0) hot._disposeHandlers.splice(idx, 1);
/******/ 			},
/******/ 			invalidate: function() {
/******/ 				this._selfInvalidated = true;
/******/ 				switch (hotStatus) {
/******/ 					case "idle":
/******/ 						hotUpdate = {};
/******/ 						hotUpdate[moduleId] = modules[moduleId];
/******/ 						hotSetStatus("ready");
/******/ 						break;
/******/ 					case "ready":
/******/ 						hotApplyInvalidatedModule(moduleId);
/******/ 						break;
/******/ 					case "prepare":
/******/ 					case "check":
/******/ 					case "dispose":
/******/ 					case "apply":
/******/ 						(hotQueuedInvalidatedModules =
/******/ 							hotQueuedInvalidatedModules || []).push(moduleId);
/******/ 						break;
/******/ 					default:
/******/ 						// ignore requests in error states
/******/ 						break;
/******/ 				}
/******/ 			},
/******/
/******/ 			// Management API
/******/ 			check: hotCheck,
/******/ 			apply: hotApply,
/******/ 			status: function(l) {
/******/ 				if (!l) return hotStatus;
/******/ 				hotStatusHandlers.push(l);
/******/ 			},
/******/ 			addStatusHandler: function(l) {
/******/ 				hotStatusHandlers.push(l);
/******/ 			},
/******/ 			removeStatusHandler: function(l) {
/******/ 				var idx = hotStatusHandlers.indexOf(l);
/******/ 				if (idx >= 0) hotStatusHandlers.splice(idx, 1);
/******/ 			},
/******/
/******/ 			//inherit from previous dispose call
/******/ 			data: hotCurrentModuleData[moduleId]
/******/ 		};
/******/ 		hotCurrentChildModule = undefined;
/******/ 		return hot;
/******/ 	}
/******/
/******/ 	var hotStatusHandlers = [];
/******/ 	var hotStatus = "idle";
/******/
/******/ 	function hotSetStatus(newStatus) {
/******/ 		hotStatus = newStatus;
/******/ 		for (var i = 0; i < hotStatusHandlers.length; i++)
/******/ 			hotStatusHandlers[i].call(null, newStatus);
/******/ 	}
/******/
/******/ 	// while downloading
/******/ 	var hotWaitingFiles = 0;
/******/ 	var hotChunksLoading = 0;
/******/ 	var hotWaitingFilesMap = {};
/******/ 	var hotRequestedFilesMap = {};
/******/ 	var hotAvailableFilesMap = {};
/******/ 	var hotDeferred;
/******/
/******/ 	// The update info
/******/ 	var hotUpdate, hotUpdateNewHash, hotQueuedInvalidatedModules;
/******/
/******/ 	function toModuleId(id) {
/******/ 		var isNumber = +id + "" === id;
/******/ 		return isNumber ? +id : id;
/******/ 	}
/******/
/******/ 	function hotCheck(apply) {
/******/ 		if (hotStatus !== "idle") {
/******/ 			throw new Error("check() is only allowed in idle status");
/******/ 		}
/******/ 		hotApplyOnUpdate = apply;
/******/ 		hotSetStatus("check");
/******/ 		return hotDownloadManifest(hotRequestTimeout).then(function(update) {
/******/ 			if (!update) {
/******/ 				hotSetStatus(hotApplyInvalidatedModules() ? "ready" : "idle");
/******/ 				return null;
/******/ 			}
/******/ 			hotRequestedFilesMap = {};
/******/ 			hotWaitingFilesMap = {};
/******/ 			hotAvailableFilesMap = update.c;
/******/ 			hotUpdateNewHash = update.h;
/******/
/******/ 			hotSetStatus("prepare");
/******/ 			var promise = new Promise(function(resolve, reject) {
/******/ 				hotDeferred = {
/******/ 					resolve: resolve,
/******/ 					reject: reject
/******/ 				};
/******/ 			});
/******/ 			hotUpdate = {};
/******/ 			for(var chunkId in installedChunks)
/******/ 			// eslint-disable-next-line no-lone-blocks
/******/ 			{
/******/ 				hotEnsureUpdateChunk(chunkId);
/******/ 			}
/******/ 			if (
/******/ 				hotStatus === "prepare" &&
/******/ 				hotChunksLoading === 0 &&
/******/ 				hotWaitingFiles === 0
/******/ 			) {
/******/ 				hotUpdateDownloaded();
/******/ 			}
/******/ 			return promise;
/******/ 		});
/******/ 	}
/******/
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	function hotAddUpdateChunk(chunkId, moreModules) {
/******/ 		if (!hotAvailableFilesMap[chunkId] || !hotRequestedFilesMap[chunkId])
/******/ 			return;
/******/ 		hotRequestedFilesMap[chunkId] = false;
/******/ 		for (var moduleId in moreModules) {
/******/ 			if (Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				hotUpdate[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if (--hotWaitingFiles === 0 && hotChunksLoading === 0) {
/******/ 			hotUpdateDownloaded();
/******/ 		}
/******/ 	}
/******/
/******/ 	function hotEnsureUpdateChunk(chunkId) {
/******/ 		if (!hotAvailableFilesMap[chunkId]) {
/******/ 			hotWaitingFilesMap[chunkId] = true;
/******/ 		} else {
/******/ 			hotRequestedFilesMap[chunkId] = true;
/******/ 			hotWaitingFiles++;
/******/ 			hotDownloadUpdateChunk(chunkId);
/******/ 		}
/******/ 	}
/******/
/******/ 	function hotUpdateDownloaded() {
/******/ 		hotSetStatus("ready");
/******/ 		var deferred = hotDeferred;
/******/ 		hotDeferred = null;
/******/ 		if (!deferred) return;
/******/ 		if (hotApplyOnUpdate) {
/******/ 			// Wrap deferred object in Promise to mark it as a well-handled Promise to
/******/ 			// avoid triggering uncaught exception warning in Chrome.
/******/ 			// See https://bugs.chromium.org/p/chromium/issues/detail?id=465666
/******/ 			Promise.resolve()
/******/ 				.then(function() {
/******/ 					return hotApply(hotApplyOnUpdate);
/******/ 				})
/******/ 				.then(
/******/ 					function(result) {
/******/ 						deferred.resolve(result);
/******/ 					},
/******/ 					function(err) {
/******/ 						deferred.reject(err);
/******/ 					}
/******/ 				);
/******/ 		} else {
/******/ 			var outdatedModules = [];
/******/ 			for (var id in hotUpdate) {
/******/ 				if (Object.prototype.hasOwnProperty.call(hotUpdate, id)) {
/******/ 					outdatedModules.push(toModuleId(id));
/******/ 				}
/******/ 			}
/******/ 			deferred.resolve(outdatedModules);
/******/ 		}
/******/ 	}
/******/
/******/ 	function hotApply(options) {
/******/ 		if (hotStatus !== "ready")
/******/ 			throw new Error("apply() is only allowed in ready status");
/******/ 		options = options || {};
/******/ 		return hotApplyInternal(options);
/******/ 	}
/******/
/******/ 	function hotApplyInternal(options) {
/******/ 		hotApplyInvalidatedModules();
/******/
/******/ 		var cb;
/******/ 		var i;
/******/ 		var j;
/******/ 		var module;
/******/ 		var moduleId;
/******/
/******/ 		function getAffectedStuff(updateModuleId) {
/******/ 			var outdatedModules = [updateModuleId];
/******/ 			var outdatedDependencies = {};
/******/
/******/ 			var queue = outdatedModules.map(function(id) {
/******/ 				return {
/******/ 					chain: [id],
/******/ 					id: id
/******/ 				};
/******/ 			});
/******/ 			while (queue.length > 0) {
/******/ 				var queueItem = queue.pop();
/******/ 				var moduleId = queueItem.id;
/******/ 				var chain = queueItem.chain;
/******/ 				module = installedModules[moduleId];
/******/ 				if (
/******/ 					!module ||
/******/ 					(module.hot._selfAccepted && !module.hot._selfInvalidated)
/******/ 				)
/******/ 					continue;
/******/ 				if (module.hot._selfDeclined) {
/******/ 					return {
/******/ 						type: "self-declined",
/******/ 						chain: chain,
/******/ 						moduleId: moduleId
/******/ 					};
/******/ 				}
/******/ 				if (module.hot._main) {
/******/ 					return {
/******/ 						type: "unaccepted",
/******/ 						chain: chain,
/******/ 						moduleId: moduleId
/******/ 					};
/******/ 				}
/******/ 				for (var i = 0; i < module.parents.length; i++) {
/******/ 					var parentId = module.parents[i];
/******/ 					var parent = installedModules[parentId];
/******/ 					if (!parent) continue;
/******/ 					if (parent.hot._declinedDependencies[moduleId]) {
/******/ 						return {
/******/ 							type: "declined",
/******/ 							chain: chain.concat([parentId]),
/******/ 							moduleId: moduleId,
/******/ 							parentId: parentId
/******/ 						};
/******/ 					}
/******/ 					if (outdatedModules.indexOf(parentId) !== -1) continue;
/******/ 					if (parent.hot._acceptedDependencies[moduleId]) {
/******/ 						if (!outdatedDependencies[parentId])
/******/ 							outdatedDependencies[parentId] = [];
/******/ 						addAllToSet(outdatedDependencies[parentId], [moduleId]);
/******/ 						continue;
/******/ 					}
/******/ 					delete outdatedDependencies[parentId];
/******/ 					outdatedModules.push(parentId);
/******/ 					queue.push({
/******/ 						chain: chain.concat([parentId]),
/******/ 						id: parentId
/******/ 					});
/******/ 				}
/******/ 			}
/******/
/******/ 			return {
/******/ 				type: "accepted",
/******/ 				moduleId: updateModuleId,
/******/ 				outdatedModules: outdatedModules,
/******/ 				outdatedDependencies: outdatedDependencies
/******/ 			};
/******/ 		}
/******/
/******/ 		function addAllToSet(a, b) {
/******/ 			for (var i = 0; i < b.length; i++) {
/******/ 				var item = b[i];
/******/ 				if (a.indexOf(item) === -1) a.push(item);
/******/ 			}
/******/ 		}
/******/
/******/ 		// at begin all updates modules are outdated
/******/ 		// the "outdated" status can propagate to parents if they don't accept the children
/******/ 		var outdatedDependencies = {};
/******/ 		var outdatedModules = [];
/******/ 		var appliedUpdate = {};
/******/
/******/ 		var warnUnexpectedRequire = function warnUnexpectedRequire() {
/******/ 			console.warn(
/******/ 				"[HMR] unexpected require(" + result.moduleId + ") to disposed module"
/******/ 			);
/******/ 		};
/******/
/******/ 		for (var id in hotUpdate) {
/******/ 			if (Object.prototype.hasOwnProperty.call(hotUpdate, id)) {
/******/ 				moduleId = toModuleId(id);
/******/ 				/** @type {TODO} */
/******/ 				var result;
/******/ 				if (hotUpdate[id]) {
/******/ 					result = getAffectedStuff(moduleId);
/******/ 				} else {
/******/ 					result = {
/******/ 						type: "disposed",
/******/ 						moduleId: id
/******/ 					};
/******/ 				}
/******/ 				/** @type {Error|false} */
/******/ 				var abortError = false;
/******/ 				var doApply = false;
/******/ 				var doDispose = false;
/******/ 				var chainInfo = "";
/******/ 				if (result.chain) {
/******/ 					chainInfo = "\nUpdate propagation: " + result.chain.join(" -> ");
/******/ 				}
/******/ 				switch (result.type) {
/******/ 					case "self-declined":
/******/ 						if (options.onDeclined) options.onDeclined(result);
/******/ 						if (!options.ignoreDeclined)
/******/ 							abortError = new Error(
/******/ 								"Aborted because of self decline: " +
/******/ 									result.moduleId +
/******/ 									chainInfo
/******/ 							);
/******/ 						break;
/******/ 					case "declined":
/******/ 						if (options.onDeclined) options.onDeclined(result);
/******/ 						if (!options.ignoreDeclined)
/******/ 							abortError = new Error(
/******/ 								"Aborted because of declined dependency: " +
/******/ 									result.moduleId +
/******/ 									" in " +
/******/ 									result.parentId +
/******/ 									chainInfo
/******/ 							);
/******/ 						break;
/******/ 					case "unaccepted":
/******/ 						if (options.onUnaccepted) options.onUnaccepted(result);
/******/ 						if (!options.ignoreUnaccepted)
/******/ 							abortError = new Error(
/******/ 								"Aborted because " + moduleId + " is not accepted" + chainInfo
/******/ 							);
/******/ 						break;
/******/ 					case "accepted":
/******/ 						if (options.onAccepted) options.onAccepted(result);
/******/ 						doApply = true;
/******/ 						break;
/******/ 					case "disposed":
/******/ 						if (options.onDisposed) options.onDisposed(result);
/******/ 						doDispose = true;
/******/ 						break;
/******/ 					default:
/******/ 						throw new Error("Unexception type " + result.type);
/******/ 				}
/******/ 				if (abortError) {
/******/ 					hotSetStatus("abort");
/******/ 					return Promise.reject(abortError);
/******/ 				}
/******/ 				if (doApply) {
/******/ 					appliedUpdate[moduleId] = hotUpdate[moduleId];
/******/ 					addAllToSet(outdatedModules, result.outdatedModules);
/******/ 					for (moduleId in result.outdatedDependencies) {
/******/ 						if (
/******/ 							Object.prototype.hasOwnProperty.call(
/******/ 								result.outdatedDependencies,
/******/ 								moduleId
/******/ 							)
/******/ 						) {
/******/ 							if (!outdatedDependencies[moduleId])
/******/ 								outdatedDependencies[moduleId] = [];
/******/ 							addAllToSet(
/******/ 								outdatedDependencies[moduleId],
/******/ 								result.outdatedDependencies[moduleId]
/******/ 							);
/******/ 						}
/******/ 					}
/******/ 				}
/******/ 				if (doDispose) {
/******/ 					addAllToSet(outdatedModules, [result.moduleId]);
/******/ 					appliedUpdate[moduleId] = warnUnexpectedRequire;
/******/ 				}
/******/ 			}
/******/ 		}
/******/
/******/ 		// Store self accepted outdated modules to require them later by the module system
/******/ 		var outdatedSelfAcceptedModules = [];
/******/ 		for (i = 0; i < outdatedModules.length; i++) {
/******/ 			moduleId = outdatedModules[i];
/******/ 			if (
/******/ 				installedModules[moduleId] &&
/******/ 				installedModules[moduleId].hot._selfAccepted &&
/******/ 				// removed self-accepted modules should not be required
/******/ 				appliedUpdate[moduleId] !== warnUnexpectedRequire &&
/******/ 				// when called invalidate self-accepting is not possible
/******/ 				!installedModules[moduleId].hot._selfInvalidated
/******/ 			) {
/******/ 				outdatedSelfAcceptedModules.push({
/******/ 					module: moduleId,
/******/ 					parents: installedModules[moduleId].parents.slice(),
/******/ 					errorHandler: installedModules[moduleId].hot._selfAccepted
/******/ 				});
/******/ 			}
/******/ 		}
/******/
/******/ 		// Now in "dispose" phase
/******/ 		hotSetStatus("dispose");
/******/ 		Object.keys(hotAvailableFilesMap).forEach(function(chunkId) {
/******/ 			if (hotAvailableFilesMap[chunkId] === false) {
/******/ 				hotDisposeChunk(chunkId);
/******/ 			}
/******/ 		});
/******/
/******/ 		var idx;
/******/ 		var queue = outdatedModules.slice();
/******/ 		while (queue.length > 0) {
/******/ 			moduleId = queue.pop();
/******/ 			module = installedModules[moduleId];
/******/ 			if (!module) continue;
/******/
/******/ 			var data = {};
/******/
/******/ 			// Call dispose handlers
/******/ 			var disposeHandlers = module.hot._disposeHandlers;
/******/ 			for (j = 0; j < disposeHandlers.length; j++) {
/******/ 				cb = disposeHandlers[j];
/******/ 				cb(data);
/******/ 			}
/******/ 			hotCurrentModuleData[moduleId] = data;
/******/
/******/ 			// disable module (this disables requires from this module)
/******/ 			module.hot.active = false;
/******/
/******/ 			// remove module from cache
/******/ 			delete installedModules[moduleId];
/******/
/******/ 			// when disposing there is no need to call dispose handler
/******/ 			delete outdatedDependencies[moduleId];
/******/
/******/ 			// remove "parents" references from all children
/******/ 			for (j = 0; j < module.children.length; j++) {
/******/ 				var child = installedModules[module.children[j]];
/******/ 				if (!child) continue;
/******/ 				idx = child.parents.indexOf(moduleId);
/******/ 				if (idx >= 0) {
/******/ 					child.parents.splice(idx, 1);
/******/ 				}
/******/ 			}
/******/ 		}
/******/
/******/ 		// remove outdated dependency from module children
/******/ 		var dependency;
/******/ 		var moduleOutdatedDependencies;
/******/ 		for (moduleId in outdatedDependencies) {
/******/ 			if (
/******/ 				Object.prototype.hasOwnProperty.call(outdatedDependencies, moduleId)
/******/ 			) {
/******/ 				module = installedModules[moduleId];
/******/ 				if (module) {
/******/ 					moduleOutdatedDependencies = outdatedDependencies[moduleId];
/******/ 					for (j = 0; j < moduleOutdatedDependencies.length; j++) {
/******/ 						dependency = moduleOutdatedDependencies[j];
/******/ 						idx = module.children.indexOf(dependency);
/******/ 						if (idx >= 0) module.children.splice(idx, 1);
/******/ 					}
/******/ 				}
/******/ 			}
/******/ 		}
/******/
/******/ 		// Now in "apply" phase
/******/ 		hotSetStatus("apply");
/******/
/******/ 		if (hotUpdateNewHash !== undefined) {
/******/ 			hotCurrentHash = hotUpdateNewHash;
/******/ 			hotUpdateNewHash = undefined;
/******/ 		}
/******/ 		hotUpdate = undefined;
/******/
/******/ 		// insert new code
/******/ 		for (moduleId in appliedUpdate) {
/******/ 			if (Object.prototype.hasOwnProperty.call(appliedUpdate, moduleId)) {
/******/ 				modules[moduleId] = appliedUpdate[moduleId];
/******/ 			}
/******/ 		}
/******/
/******/ 		// call accept handlers
/******/ 		var error = null;
/******/ 		for (moduleId in outdatedDependencies) {
/******/ 			if (
/******/ 				Object.prototype.hasOwnProperty.call(outdatedDependencies, moduleId)
/******/ 			) {
/******/ 				module = installedModules[moduleId];
/******/ 				if (module) {
/******/ 					moduleOutdatedDependencies = outdatedDependencies[moduleId];
/******/ 					var callbacks = [];
/******/ 					for (i = 0; i < moduleOutdatedDependencies.length; i++) {
/******/ 						dependency = moduleOutdatedDependencies[i];
/******/ 						cb = module.hot._acceptedDependencies[dependency];
/******/ 						if (cb) {
/******/ 							if (callbacks.indexOf(cb) !== -1) continue;
/******/ 							callbacks.push(cb);
/******/ 						}
/******/ 					}
/******/ 					for (i = 0; i < callbacks.length; i++) {
/******/ 						cb = callbacks[i];
/******/ 						try {
/******/ 							cb(moduleOutdatedDependencies);
/******/ 						} catch (err) {
/******/ 							if (options.onErrored) {
/******/ 								options.onErrored({
/******/ 									type: "accept-errored",
/******/ 									moduleId: moduleId,
/******/ 									dependencyId: moduleOutdatedDependencies[i],
/******/ 									error: err
/******/ 								});
/******/ 							}
/******/ 							if (!options.ignoreErrored) {
/******/ 								if (!error) error = err;
/******/ 							}
/******/ 						}
/******/ 					}
/******/ 				}
/******/ 			}
/******/ 		}
/******/
/******/ 		// Load self accepted modules
/******/ 		for (i = 0; i < outdatedSelfAcceptedModules.length; i++) {
/******/ 			var item = outdatedSelfAcceptedModules[i];
/******/ 			moduleId = item.module;
/******/ 			hotCurrentParents = item.parents;
/******/ 			hotCurrentChildModule = moduleId;
/******/ 			try {
/******/ 				__webpack_require__(moduleId);
/******/ 			} catch (err) {
/******/ 				if (typeof item.errorHandler === "function") {
/******/ 					try {
/******/ 						item.errorHandler(err);
/******/ 					} catch (err2) {
/******/ 						if (options.onErrored) {
/******/ 							options.onErrored({
/******/ 								type: "self-accept-error-handler-errored",
/******/ 								moduleId: moduleId,
/******/ 								error: err2,
/******/ 								originalError: err
/******/ 							});
/******/ 						}
/******/ 						if (!options.ignoreErrored) {
/******/ 							if (!error) error = err2;
/******/ 						}
/******/ 						if (!error) error = err;
/******/ 					}
/******/ 				} else {
/******/ 					if (options.onErrored) {
/******/ 						options.onErrored({
/******/ 							type: "self-accept-errored",
/******/ 							moduleId: moduleId,
/******/ 							error: err
/******/ 						});
/******/ 					}
/******/ 					if (!options.ignoreErrored) {
/******/ 						if (!error) error = err;
/******/ 					}
/******/ 				}
/******/ 			}
/******/ 		}
/******/
/******/ 		// handle errors in accept handlers and self accepted module load
/******/ 		if (error) {
/******/ 			hotSetStatus("fail");
/******/ 			return Promise.reject(error);
/******/ 		}
/******/
/******/ 		if (hotQueuedInvalidatedModules) {
/******/ 			return hotApplyInternal(options).then(function(list) {
/******/ 				outdatedModules.forEach(function(moduleId) {
/******/ 					if (list.indexOf(moduleId) < 0) list.push(moduleId);
/******/ 				});
/******/ 				return list;
/******/ 			});
/******/ 		}
/******/
/******/ 		hotSetStatus("idle");
/******/ 		return new Promise(function(resolve) {
/******/ 			resolve(outdatedModules);
/******/ 		});
/******/ 	}
/******/
/******/ 	function hotApplyInvalidatedModules() {
/******/ 		if (hotQueuedInvalidatedModules) {
/******/ 			if (!hotUpdate) hotUpdate = {};
/******/ 			hotQueuedInvalidatedModules.forEach(hotApplyInvalidatedModule);
/******/ 			hotQueuedInvalidatedModules = undefined;
/******/ 			return true;
/******/ 		}
/******/ 	}
/******/
/******/ 	function hotApplyInvalidatedModule(moduleId) {
/******/ 		if (!Object.prototype.hasOwnProperty.call(hotUpdate, moduleId))
/******/ 			hotUpdate[moduleId] = modules[moduleId];
/******/ 	}
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		"cdssHorizontal": 0
/******/ 	};
/******/
/******/ 	var deferredModules = [];
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {},
/******/ 			hot: hotCreateModule(moduleId),
/******/ 			parents: (hotCurrentParentsTemp = hotCurrentParents, hotCurrentParents = [], hotCurrentParentsTemp),
/******/ 			children: []
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, hotCreateRequire(moduleId));
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// __webpack_hash__
/******/ 	__webpack_require__.h = function() { return hotCurrentHash; };
/******/
/******/ 	var jsonpArray = window["webpackJsonp"] = window["webpackJsonp"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	// add entry module to deferred list
/******/ 	deferredModules.push(["./src/js/cdssHorizontal.js","common"]);
/******/ 	// run deferred modules when ready
/******/ 	return checkDeferredModules();
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/css/cdssHorizontal.less":
/*!*************************************!*\
  !*** ./src/css/cdssHorizontal.less ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("// extracted by mini-css-extract-plugin\n\n//# sourceURL=webpack:///./src/css/cdssHorizontal.less?");

/***/ }),

/***/ "./src/images/collapse2.png":
/*!**********************************!*\
  !*** ./src/images/collapse2.png ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/collapse2.png\";\n\n//# sourceURL=webpack:///./src/images/collapse2.png?");

/***/ }),

/***/ "./src/images/dn.png":
/*!***************************!*\
  !*** ./src/images/dn.png ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/dn.png\";\n\n//# sourceURL=webpack:///./src/images/dn.png?");

/***/ }),

/***/ "./src/images/new2.png":
/*!*****************************!*\
  !*** ./src/images/new2.png ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/new2.png\";\n\n//# sourceURL=webpack:///./src/images/new2.png?");

/***/ }),

/***/ "./src/images/show2.png":
/*!******************************!*\
  !*** ./src/images/show2.png ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/show2.png\";\n\n//# sourceURL=webpack:///./src/images/show2.png?");

/***/ }),

/***/ "./src/js/cdssHorizontal.js":
/*!**********************************!*\
  !*** ./src/js/cdssHorizontal.js ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }\n\nfunction _nonIterableRest() { throw new TypeError(\"Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.\"); }\n\nfunction _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === \"string\") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === \"Object\" && o.constructor) n = o.constructor.name; if (n === \"Map\" || n === \"Set\") return Array.from(o); if (n === \"Arguments\" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }\n\nfunction _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }\n\nfunction _iterableToArrayLimit(arr, i) { var _i = arr && (typeof Symbol !== \"undefined\" && arr[Symbol.iterator] || arr[\"@@iterator\"]); if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i[\"return\"] != null) _i[\"return\"](); } finally { if (_d) throw _e; } } return _arr; }\n\nfunction _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }\n\nif (!Promise) {\n  var Promise = __webpack_require__(/*! bluebird */ \"./node_modules/bluebird/js/browser/bluebird.js\"); // Configure\n\n\n  Promise.config({\n    longStackTraces: true,\n    warnings: true // note, run node with --trace-warnings to see full stack traces for warnings\n\n  });\n}\n\nvar $ = __webpack_require__(/*! jquery */ \"./node_modules/jquery/dist/jquery.js\");\n\n__webpack_require__(/*! ./../css/reset.css */ \"./src/css/reset.css\");\n\n__webpack_require__(/*! ./../css/cdssHorizontal.less */ \"./src/css/cdssHorizontal.less\");\n\n__webpack_require__(/*! ./../css/popup.css */ \"./src/css/popup.css\");\n\n__webpack_require__(/*! ../css/staticSearch.less */ \"./src/css/staticSearch.less\");\n\n__webpack_require__(/*! ./../js/staticSearch.js */ \"./src/js/staticSearch.js\"); //静态知识搜索\n\n\n__webpack_require__(/*! ./../images/empty2.png */ \"./src/images/empty2.png\");\n\n__webpack_require__(/*! ./../images/dn.png */ \"./src/images/dn.png\");\n\n__webpack_require__(/*! ./../images/loading.gif */ \"./src/images/loading.gif\");\n\nvar emptyImg = __webpack_require__(/*! ./../images/empty3.png */ \"./src/images/empty3.png\");\n\n__webpack_require__(/*! ./../images/new2.png */ \"./src/images/new2.png\");\n\nvar _require = __webpack_require__(/*! ./promise.js */ \"./src/js/promise.js\"),\n    post = _require.post,\n    config = _require.config,\n    getUrlArgObject = _require.getUrlArgObject,\n    openNewWin = _require.openNewWin,\n    titleConfigH = _require.titleConfigH,\n    throttle = _require.throttle;\n\nvar infoImg = __webpack_require__(/*! ./../images/icon_info.png */ \"./src/images/icon_info.png\");\n\nvar infoImgOn = __webpack_require__(/*! ./../images/icon_info_on.png */ \"./src/images/icon_info_on.png\");\n\nvar iconArrowUp = __webpack_require__(/*! ./../images/icon_arrow_up.png */ \"./src/images/icon_arrow_up.png\");\n\nvar iconArrowDown = __webpack_require__(/*! ./../images/icon_arrow_down.png */ \"./src/images/icon_arrow_down.png\");\n\nvar showImg = __webpack_require__(/*! ./../images/show2.png */ \"./src/images/show2.png\");\n\nvar collapseImg = __webpack_require__(/*! ./../images/collapse2.png */ \"./src/images/collapse2.png\");\n\nvar treatDisName, treatUniqueName;\nvar generalTreatInfo;\n\nvar _require2 = __webpack_require__(/*! ./followUp.js */ \"./src/js/followUp.js\"),\n    renderFollowUp = _require2.renderFollowUp;\n\nvar _require3 = __webpack_require__(/*! ./tcmiss.js */ \"./src/js/tcmiss.js\"),\n    getTcmMr = _require3.getTcmMr;\n\nvar moduleConfig = {\n  auxiliary: \"recommendWrap\",\n  qc: \"qcWrap\",\n  medical: \"medicalKonwledgeWrap\",\n  followup: 'followUpWrap',\n  tcmiss: 'tcmWarp'\n};\nvar allInterface = 0;\nvar hasCompleteTnterface = 0;\nvar moduleNum = 0;\nvar mrId = getUrlArgObject('mrId');\nvar pushMrId = getUrlArgObject('pushMrId');\nvar tipsMode = getUrlArgObject('tipsMode') || 1;\nvar planCode = getUrlArgObject('planCode') || 'all';\nvar hospitalIdUrl = getUrlArgObject('hospitalId') || '';\nvar msg;\nvar tipsMsg;\nvar caseWriteStandradList;\n\nfunction getMRInfo() {\n  return post(config.getMr2, {\n    mrId: mrId\n  });\n}\n\nfunction getConf() {\n  var msg = window.msg;\n  return post(config.getPushSet, {\n    hospitalId: hospitalIdUrl || msg.hospitalId || 1,\n    planCode: planCode\n  });\n}\n\nfunction getPushInfo() {\n  return post(config.pushInner, Object.assign({}, msg, {\n    featureType: '1,4,5,6,7,8,9,10,12,13',\n    hospitalId: hospitalIdUrl || msg.hospitalId,\n    ruleType: config.ruleTypeMap['22']\n  }));\n}\n\nfunction getPusgWarning() {\n  var indPush = pushMrId ? config.indicationPushCache : config.indicationPush;\n  return post(indPush, Object.assign({}, msg, {\n    ruleType: '1,2,3,4',\n    mrId: pushMrId || mrId\n  }));\n}\n\nfunction getWriteStandardPush() {\n  return post(config.caseWritingPrompt, Object.assign({}, msg, {\n    hospitalId: 2 || false\n  }));\n}\n\nif (mrId) {\n  Promise.all([getConf(), getMRInfo()]).then(function (_ref) {\n    var _ref2 = _slicedToArray(_ref, 2),\n        res1 = _ref2[0],\n        res2 = _ref2[1];\n\n    var data = res1.data.data && res1.data.data[0];\n    msg = res2.data.data || {};\n\n    if (!(msg && msg.diseaseName && msg.diseaseName.name)) {\n      msg.diseaseName = null;\n    }\n\n    window.msg = msg;\n    renderPage(data);\n  });\n} else {\n  getConf().then(function (res) {\n    if (res.data.code == '0') {\n      // const configArr = res.data.data.pushSetList || []\n      // getPageInfo(configArr)\n      var data = res.data.data && res.data.data[0];\n      renderPage(data);\n    }\n  });\n}\n\nfunction renderPage(pageSet) {\n  if (!pageSet || !pageSet.sysSetInfo) {\n    return;\n  }\n\n  renderTab(pageSet.sysSetInfo);\n  var iframeHei = $(\".bodyWrap\").height();\n  var tabHei = $(\".tabList\").height();\n  $(\".contentWrapper\").css(\"height\", iframeHei - tabHei - 10 - 20 - 30 + 'px');\n  var hasAuxiliary = hasTab(\"辅助信息\", pageSet.sysSetInfo);\n  var hasMedical = hasTab(\"医学知识\", pageSet.sysSetInfo);\n  var hasFollowUp = hasTab(\"随访计划\", pageSet.sysSetInfo);\n  var hasTcm = hasTab(\"中医辅助\", pageSet.sysSetInfo); //所有模块都未开启配置，显示功能未开启（无tab)\n\n  if (hasAuxiliary.status === 0 && hasMedical.status === 0 && hasFollowUp.status === 0 && hasTcm.status === 0) {\n    var nullTxt = \"<div class=\\\"empty-box\\\" style=\\\"left: -20px;display: block;\\\">\\n                <img class=\\\"emptyImg\\\" src=\\\"../images/icon_admin.png\\\" alt=\\\"\\u7A7A\\\">\\n                <p class=\\\"emptyTxt\\\">\\u529F\\u80FD\\u672A\\u5F00\\u542F</p>\\n            </div>\";\n    $(\".recommendWrap\").html(nullTxt).show();\n    return;\n  }\n\n  if (hasTcm) {\n    getTcmMr(mrId, hasTcm);\n  }\n\n  if (hasFollowUp) {\n    renderFollowUp(msg, 1);\n  }\n\n  var planDetail = hasAuxiliary.planDetails;\n  var configs = planDetail.filter(function (it) {\n    return it.status !== 0;\n  }) || [];\n\n  if (!configs[0]) {\n    //没有开启辅助信息各项配置\n    $('.empty-box,.leftWrapper').hide();\n    $('.recommendWrap .empty-right').show();\n    return;\n  } //有数据再设置宽度\n  //setWidth()\n\n\n  if (hasAuxiliary) {\n    renderModuleWrapper(hasAuxiliary.planDetails);\n    var needPush = isNeedPush(hasAuxiliary.planDetails);\n    var needPushWarning = isNeedPushWarning(hasAuxiliary.planDetails);\n    var needWriteStandardPush = isNeedwriteStandardPush(hasAuxiliary.planDetails);\n\n    if (needPush || needPushWarning) {\n      renderPushData();\n      allInterface++;\n    }\n\n    if (needPushWarning) {\n      renderPushWarning();\n      allInterface++;\n    }\n\n    if (needWriteStandardPush) {\n      renderCaseWrite();\n      allInterface++;\n    }\n  }\n}\n\nfunction renderTab(tabList) {\n  if (!tabList) {\n    return;\n  }\n\n  var tabStr = '';\n  var TabNum = 0;\n\n  for (var i = 0; i < tabList.length; i++) {\n    if (tabList[i].status == '1') {\n      TabNum++;\n      tabStr += \"<div class=\\\"tab\\\" data-name=\\\"\".concat(tabList[i].code, \"\\\" ><span class=\\\"tabName\\\">\").concat(tabList[i].name, \"</span></div>\");\n    }\n  }\n\n  $(\".tabList\").append(tabStr);\n  $(\".tabList .tab\").eq(0).addClass(\"activeTab\");\n  $(\".tabList .tab\").eq(0).addClass(\"activeTab\"); // $(\".tabList .tab\").css(\"height\", 1 / TabNum * 100 + '%')\n\n  var showModuleName = $(\".tabList .tab\").eq(0).attr(\"data-name\");\n  getModuleShow(moduleConfig[showModuleName]);\n  bindTabClick(); //setTabNameTop()\n}\n\nfunction hasTab(tabName, tabList) {\n  for (var i = 0; i < tabList.length; i++) {\n    if (tabList[i].name == tabName) {\n      return tabList[i];\n    }\n  }\n\n  return false;\n}\n\nfunction renderModuleWrapper(moduleList) {\n  if (!moduleList) {\n    return;\n  }\n\n  var moduleStr = '',\n      treatStr = \"\";\n\n  for (var i = 0; i < moduleList.length; i++) {\n    if (moduleList[i].status != '0') {\n      if (moduleList[i].code == 'general' || moduleList[i].code == 'medicine' || moduleList[i].code == 'operation' || moduleList[i].code == 'nurse') {\n        treatStr += \"<div class=\\\"moduleItem \".concat(moduleList[i].code, \"\\\"  data-num=\\\"\").concat(moduleList[i].number, \"\\\" style=\\\"display:none\\\"><span class=\\\"moduleItemTitBox\\\"></span></div>\");\n      } else if (moduleList[i].code == 'critical') {\n        moduleStr += \"<div class=\\\"moduleItem warning\\\"  data-num=\\\"\".concat(moduleList[i].number, \"\\\" style=\\\"display:none\\\"><span class=\\\"moduleItemTitBox\\\"></span></div>\"); // moduleStr += `<div class=\"moduleItem tips\"  data-num=\"${moduleList[i].number}\" style=\"display:none\"><span class=\"moduleItemTitBox\"></span></div>`\n      } else {\n        moduleStr += \"<div class=\\\"moduleItem \".concat(moduleList[i].code, \"\\\"  data-num=\\\"\").concat(moduleList[i].number, \"\\\" style=\\\"display:none\\\"><span class=\\\"moduleItemTitBox\\\"></span></div>\");\n      }\n    }\n  }\n\n  $(\".recommendWrap .leftBox\").append(moduleStr);\n  $(\".recommendWrap .rightBox\").append(treatStr);\n  /*if($(\".moduleItem:visible\").length===0){\r\n      $(\".empty-null\").show();\r\n  }*/\n}\n\nfunction isNeedPush(list) {\n  var pushCode = ['critical', \"diag\", \"lis\", \"pacs\", \"symptom\", \"vital\", \"treat\", \"medicines\", 'evaluation', 'general', 'medicine', 'operation', 'nurse'];\n\n  for (var i = 0; i < list.length; i++) {\n    if (pushCode.indexOf(list[i].code) > -1) {\n      if (list[i].status == \"1\") {\n        return true;\n      }\n    }\n  }\n\n  return false;\n}\n\nfunction isNeedPushWarning(list) {\n  var pushCode = [\"crivalue\", \"rationali\", \"highrisk\", \"otherremind\"];\n\n  for (var i = 0; i < list.length; i++) {\n    if (pushCode.indexOf(list[i].code.trim()) > -1) {\n      if (list[i].status == \"1\") {\n        return true;\n      }\n    }\n  }\n\n  return false;\n}\n\nfunction isNeedwriteStandardPush(list) {\n  var pushCode = [\"casewriting\"];\n\n  for (var i = 0; i < list.length; i++) {\n    if (pushCode.indexOf(list[i].code) > -1) {\n      if (list[i].status == \"1\") {\n        return true;\n      }\n    }\n  }\n\n  return false;\n}\n\nfunction bindTabClick() {\n  $(\".tabList .tab\").on(\"click\", function () {\n    $(\".activeTab\").removeClass(\"activeTab\");\n    $(this).addClass(\"activeTab\");\n    var moduleName = $(this).attr(\"data-name\");\n    getModuleShow(moduleConfig[moduleName]);\n  });\n}\n\nfunction getModuleShow(moduleClassName) {\n  if ($(\".\".concat(moduleClassName)).css(\"display\") == \"none\") {\n    $(\".moduleWrapper\").css(\"display\", \"none\");\n    $(\".\".concat(moduleClassName)).css(\"display\", \"block\"); //empty();\n  }\n}\n\nfunction setTabNameTop() {\n  var tabNameList = $(\".tabList .tab .tabName\");\n\n  for (var i = 0; i < tabNameList.length; i++) {\n    var tabNameHei = $(\".tabList .tab .tabName\").eq(i).height(); // $(\".tabList .tab .tabName\").eq(i).css(\"marginTop\", -tabNameHei / 2 + \"px\")\n  }\n}\n\nfunction renderCaseWrite() {\n  getWriteStandardPush().then(function (res) {\n    hasCompleteTnterface++;\n\n    if (res.data.code == '0') {\n      var caseWriteList = res.data.data || {};\n      var caseWritePush = Object.keys(caseWriteList) || [];\n      renderwriteStandardPage(caseWritePush);\n\n      if ($(\".moduleItem.casewriting\")) {\n        var casewritingHei = $(\".moduleItem.casewriting\")[0].scrollHeight;\n\n        if (casewritingHei > 63) {\n          $(\".casewriting\").append(\"<span class=\\\"showMoreCaseWrite\\\">\\u66F4\\u591A</span>\");\n          caseWriteStandradList = caseWritePush;\n          showMoreCaseWrite();\n        }\n      }\n    }\n  })[\"catch\"](function () {\n    $(\".loading\").hide();\n  });\n}\n\nfunction renderPushData() {\n  $(\".loading\").show();\n  return getPushInfo().then(function (res) {\n    hasCompleteTnterface++;\n\n    if (res.data.code == \"0\") {\n      var result = res.data.data;\n      var diagPush = result.dis || {};\n      var lisPush = result.lis || [];\n      var scalePush = result.scale || [];\n      var pacsPush = result.pacs || [];\n      var symptomPush = result.symptom || [];\n      var checkupPush = result.vital || [];\n      var medicinesPush = result.medicines || [];\n      var operationsPush = result.operations || [];\n      var nursePush = result.nurse || [];\n      var treatPush = result.treat && result.treat[0] || {};\n      treatDisName = treatPush && treatPush[\"name\"];\n      treatUniqueName = treatPush && treatPush[\"uniqueName\"];\n      var generaTreatPush = treatPush && treatPush[\"generaTreat\"];\n      generalTreatInfo = generaTreatPush; // let lisPush =[{name:\"血常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null}]\n      // let pacsPush = [{name:\"胸部x射线\",hisNameList:null},{name:\"心电图\",hisNameList:null}]\n      // let checkupPush = [{name:\"神志表情\",hisNameList:null},{name:\"面部表情\",hisNameList:null}]\n\n      var lisNum = $(\".moduleItem.lis\").attr(\"data-num\") || 5;\n      var scaleNum = $(\".moduleItem.evaluation\").attr(\"data-num\") || 5;\n      var pacsNum = $(\".moduleItem.pacs\").attr(\"data-num\") || 5;\n      var checkupNum = $(\".moduleItem.vital\").attr(\"data-num\") || 5;\n      var symptomNum = $(\".moduleItem.symptom\").attr(\"data-num\") || 5;\n      var medicinesNum = $(\".moduleItem.medicine\").attr(\"data-num\") || 5;\n      var operationsNum = $(\".moduleItem.operation\").attr(\"data-num\") || 5;\n      var nurseNum = $(\".moduleItem.nurse\").attr(\"data-num\") || 5;\n      renderLis(lisPush, lisNum);\n      renderScale(scalePush, scaleNum);\n      renderPacs(pacsPush, pacsNum);\n      renderCheckup(checkupPush, checkupNum);\n      renderSymptomPush(symptomPush, symptomNum);\n      renderDiag(diagPush);\n\n      if (medicinesPush.length > 0 || operationsPush.length > 0 || generaTreatPush || nursePush.length > 0) {\n        var _str = \"<img class=\\\"treatIcon\\\" src = \".concat(titleConfigH[\"treat\"].icon, \" /><span>\").concat(titleConfigH[\"treat\"].name, \"</span>\");\n\n        $(\".rightBoxTitle\").append(_str);\n        renderDisName();\n        $(\".empty-box\").hide();\n        $(\".rightWrapper\").css(\"display\", \"block\");\n\n        if ($(\".leftBox .moduleItem:visible\").length === 0) {\n          //左侧没有数据，右侧有数据时，右侧往左移\n          $(\".leftWrapper\").css({\n            \"width\": '0',\n            'padding': '0'\n          });\n          $(\".rightWrapper\").css(\"width\", '100%');\n        }\n      } else if ($(\".leftWrapper .moduleItem:visible\").length !== 0) {\n        console.log(2);\n        $(\".empty-box\").hide();\n        $(\".leftWrapper\").css({\n          borderRight: \"0px\",\n          width: \"100%\"\n        });\n      }\n\n      if ($(\".moduleItem.general,.moduleItem.medicine,.moduleItem.operation,.moduleItem.nurse\").length === 0 && $(\".leftWrapper .moduleItem:visible\").length !== 0) {\n        console.log(3);\n        $(\".rightWrapper\").css(\"display\", \"none\");\n        $(\".empty-box\").hide();\n        $(\".leftWrapper\").css({\n          borderRight: \"0px\",\n          width: \"100%\"\n        });\n      }\n\n      rendergeneraTreatPush(generaTreatPush);\n      renderMedicinesPush(medicinesPush, medicinesNum);\n      renderOperationPush(operationsPush, operationsNum);\n      renderNurse(nursePush, nurseNum);\n      bindOpenInfo();\n      bindSlide();\n      moreInfo();\n      empty();\n    }\n  })[\"catch\"](function () {\n    $(\".loading\").hide();\n  });\n}\n\nfunction empty() {\n  //显示空状态\n  setTimeout(function () {\n    console.log(!$(\".rightWrapper .rightBoxTitle\").html(), $(\".leftWrapper .moduleItem:visible\").length === 0);\n\n    if (!$(\".rightWrapper .rightBoxTitle\").html() && $(\".leftWrapper .moduleItem:visible\").length !== 0) {\n      console.log(4);\n      $(\".leftWrapper\").css({\n        borderRight: \"0px\",\n        width: \"100%\"\n      });\n    }\n\n    if ($(\".tabList .tab:first-child\").is(\".activeTab\") && $(\".empty-right:visible\").length === 0 && $(\".moduleItem:visible\").length === 0) {\n      $(\".empty-box,.leftWrapper\").hide();\n      $(\".empty-null\").show();\n    }\n  }, 300);\n}\n\nfunction renderLis(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.lis\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.lis .moduleItemTitBox').append(titleStr(\"lisPush\"));\n\n    var _renderItemWrapper = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper.shortStr,\n        longStr = _renderItemWrapper.longStr;\n\n    $('.moduleItem.lis').append(shortStr);\n    $('.moduleItem.lis').append(renderLongStr(titleConfigH[\"lisPush\"].name, longStr, titleConfigH[\"lisPush\"].location));\n    $('.moduleItem.lis').css(\"display\", \"block\");\n  }\n}\n\nfunction renderScale(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.evaluation\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.evaluation .moduleItemTitBox').append(titleStr(\"scalePush\"));\n\n    var _renderItemWrapper2 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper2.shortStr,\n        longStr = _renderItemWrapper2.longStr;\n\n    $('.moduleItem.evaluation').append(shortStr);\n    $('.moduleItem.evaluation').append(renderLongStr(titleConfigH[\"scalePush\"].name, longStr, titleConfigH[\"scalePush\"].location));\n    $('.moduleItem.evaluation').css(\"display\", \"block\"); // $('.moduleItem.evaluation').children(\".shortBox\").children(\".pushItemBox\").children(\".pushItemName\").addClass(\"evaluationtitle\")\n    // $('.moduleItem.evaluation').children(\".longStrBox\").children(\".longBox\").children(\".pushItemBox\").children(\".pushItemName\").addClass(\"evaluationtitle\")\n  }\n}\n\nfunction renderNurse(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.nurse\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.nurse .moduleItemTitBox').append(titleStr(\"nursePush\"));\n\n    var _renderItemWrapper3 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper3.shortStr,\n        longStr = _renderItemWrapper3.longStr;\n\n    $(\".moduleItem.nurse\").append(shortStr);\n    $(\".moduleItem.nurse\").append(renderLongStr(titleConfigH[\"nursePush\"].name, longStr, titleConfigH[\"nursePush\"].location));\n    $(\".moduleItem.nurse\").css(\"display\", \"block\");\n  }\n}\n\nfunction renderPacs(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.pacs\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.pacs .moduleItemTitBox').append(titleStr(\"pacsPush\"));\n\n    var _renderItemWrapper4 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper4.shortStr,\n        longStr = _renderItemWrapper4.longStr;\n\n    $(\".moduleItem.pacs\").append(shortStr);\n    $(\".moduleItem.pacs\").append(renderLongStr(titleConfigH[\"pacsPush\"].name, longStr, titleConfigH[\"pacsPush\"].location));\n    $('.moduleItem.pacs').css(\"display\", \"block\");\n  }\n}\n\nfunction renderSymptomPush(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.symptom\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.symptom .moduleItemTitBox').append(titleStr(\"symptomPush\"));\n\n    var _renderItemWrapper5 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper5.shortStr,\n        longStr = _renderItemWrapper5.longStr;\n\n    $(\".moduleItem.symptom\").append(shortStr);\n    $(\".moduleItem.symptom\").append(renderLongStr(titleConfigH[\"symptomPush\"].name, longStr, titleConfigH[\"symptomPush\"].location));\n    $('.moduleItem.symptom').css(\"display\", \"block\");\n  }\n}\n\nfunction renderMedicinesPush(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.medicine\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.medicine .moduleItemTitBox').append(titleStr(\"drugPush\"));\n\n    var _renderItemWrapper6 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper6.shortStr,\n        longStr = _renderItemWrapper6.longStr;\n\n    $(\".moduleItem.medicine\").append(shortStr);\n    $(\".moduleItem.medicine\").append(renderLongStr(titleConfigH[\"drugPush\"].name, longStr, titleConfigH[\"drugPush\"].location));\n    $(\".moduleItem.medicine\").css(\"display\", \"block\");\n  }\n}\n\nfunction renderOperationPush(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.operation\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.operation .moduleItemTitBox').append(titleStr(\"operationPush\"));\n\n    var _renderItemWrapper7 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper7.shortStr,\n        longStr = _renderItemWrapper7.longStr;\n\n    $(\".moduleItem.operation\").append(shortStr);\n    $(\".moduleItem.operation\").append(renderLongStr(titleConfigH[\"operationPush\"].name, longStr, titleConfigH[\"operationPush\"].location));\n    $(\".moduleItem.operation\").css(\"display\", \"block\");\n  }\n}\n\nfunction renderDisName() {\n  $(\".disName\").append(\"\".concat(treatDisName || ''));\n}\n\nfunction rendergeneraTreatPush(list) {\n  if (list && list.length > 0 && $(\".moduleItem.general\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.general .moduleItemTitBox').append(titleStr(\"generaTreatPush\"));\n\n    var _str2 = \"<div class=\\\"generalTreatInfo clearfix isOverFlow\\\">\".concat(list, \"</div>\");\n\n    $(\".moduleItem.general\").append(_str2);\n    setTimeout(function () {\n      var generaTreatHei = $(\".moduleItem .generalTreatInfo\")[0].scrollHeight;\n\n      if (generaTreatHei > 60) {\n        $(\".moduleItem .generalTreatInfo\").append(\"<span class=\\\"showMoreGeneralTreat\\\">\\u66F4\\u591A</span>\");\n        bindGeneralSlide();\n      }\n    });\n    console.log($(\".generalTreatInfo\").text());\n    $(\".moduleItem.general\").css(\"display\", \"block\");\n  }\n}\n\nfunction renderCheckup(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.vital\").length > 0) {\n    moduleNum++;\n    $(\".moduleItem.vital .moduleItemTitBox\").append(titleStr(\"checkupPush\"));\n\n    var _renderItemWrapper8 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper8.shortStr,\n        longStr = _renderItemWrapper8.longStr;\n\n    $(\".moduleItem.vital\").append(shortStr);\n    $(\".moduleItem.vital\").append(renderLongStr(titleConfigH[\"checkupPush\"].name, longStr, titleConfigH[\"checkupPush\"].location));\n    $('.moduleItem.vital').css(\"display\", \"block\");\n  }\n}\n\nfunction renderDiag(diagPush) {\n  var possibleDiagPush = diagPush[\"可能诊断\"] || [];\n  var firstDiagPush = diagPush[\"既往诊断\"] || [];\n  var identifyDiagPush = diagPush[\"鉴别诊断\"] || [];\n  var warningDiagPush = diagPush[\"警惕\"] || [];\n  var number = $('.moduleItem.diag').attr(\"data-num\") || 5;\n  var warnNumber = $('.moduleItem.warning').attr(\"data-num\") || 5;\n  $('.moduleItem.diag .moduleItemTitBox').append(titleStr(\"diagPush\"));\n  renderDiagItem(possibleDiagPush, \"可能诊断\", number);\n  renderDiagItem(firstDiagPush, \"既往诊断\", number);\n  renderDiagItem(identifyDiagPush, \"鉴别诊断\", number);\n  renderWarningDiag(warningDiagPush, \"警惕\", 1000);\n  moreInfo();\n}\n\nfunction renderDiagItem(list, name, number) {\n  if (list.length === 0) {\n    return;\n  }\n\n  var titleStr = \"<span class=\\\"moduleBoxName\\\">\".concat(name, \"</span>\");\n\n  var _renderItemWrapper9 = renderItemWrapper(list, number),\n      shortStr = _renderItemWrapper9.shortStr,\n      longStr = _renderItemWrapper9.longStr;\n\n  var boxStr = \"<div class=\\\"moduleBox\\\">\\n        \".concat(titleStr, \"\\n        \").concat(shortStr, \"\\n      </div>\");\n  $(\".diag\").append(boxStr);\n  $(\".diag\").append(renderLongStr(name, longStr, \"left\"));\n  $('.moduleItem.diag').css(\"display\", \"block\");\n}\n\nfunction renderWarningDiag(list, name, showNum) {\n  if (list.length > 0 && $(\".moduleItem.warning\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.warning .moduleItemTitBox').append(titleStr(\"vigilancePush\"));\n\n    var _renderItemWrapper10 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper10.shortStr,\n        longStr = _renderItemWrapper10.longStr;\n\n    $('.moduleItem.warning').append(shortStr);\n    $('.moduleItem.warning').css(\"display\", \"block\");\n  }\n}\n\nfunction renderwriteStandardPage(list) {\n  if (list.length > 0 && $(\".moduleItem.casewriting\").length > 0) {\n    moduleNum++;\n    $(\".moduleItem.casewriting .moduleItemTitBox\").append(titleStr(\"casewritingPush\"));\n    var _str3 = \"\";\n\n    for (var i = 0; i < list.length; i++) {\n      _str3 += \"<p>\".concat(list[i], \"</p>\");\n    }\n\n    $(\".moduleItem.casewriting\").append(_str3);\n    $('.moduleItem.casewriting').css(\"display\", \"block\");\n  }\n\n  empty();\n}\n\nfunction renderPushWarning() {\n  return getPusgWarning().then(function (res) {\n    hasCompleteTnterface++;\n\n    if (res.data.code == '0') {\n      var result = res.data.data;\n      var billMsgList = result.billMsgList || []; //开单合理性提醒\n\n      var highRiskList = result.highRiskList || []; //高危药品、手术\n\n      var criticalValList = result.criticalValList || []; //危急值提醒\n\n      var noteList = result.noteList || []; //检查内容注意事项\n\n      var dubugStr = result.dubugStr || []; //注意调试信息\n\n      var otherList = result.otherList || []; //其他提醒\n\n      renderBillingPush(billMsgList, '开单合理性', 'rationali');\n      renderBillingPush(highRiskList, '高风险提示', 'highrisk');\n      renderBillingPush(criticalValList, '危急值提醒', 'crivalue');\n      renderBillingPush(noteList, '检查注意事项');\n      renderBillingPush(otherList, '其他提醒', 'otherremind');\n      var codes = ($(\".rationali.tips\").length ? 'rationali,' : \"\") + ($(\".highrisk.tips\").length ? 'highrisk,' : \"\") + ($(\".crivalue.tips\").length ? 'crivalue,' : \"\") + ($(\".otherremind.tips\").length ? 'otherremind' : \"\");\n      $(\".moduleItem.tips\").wrapAll(\"<div class='tips-cont' codes=\" + codes + \"></div>\");\n      $('.tips-cont').append(titleStr('warning'));\n      moreInfo();\n      var hasTipsNum = $(\".moduleItem.tips\").length;\n\n      if (hasTipsNum) {\n        var tipNum = $(\".tips-cont .billingPushItem\").length;\n\n        if (tipNum > 3) {\n          $(\".tips-cont\").append(\"<span class=\\\"showMoreNewPage\\\">\\u66F4\\u591A</span>\");\n          tipsMsg = result;\n          showMoreNewPage();\n        }\n      } // renderBillingPush(dubugStr,'注意调试信息')\n\n    }\n\n    if (hasCompleteTnterface === allInterface) {\n      $('.loading').css(\"display\", \"none\");\n      /*if (moduleNum === 0) {//console.log(999)\r\n         empty()\r\n      }*/\n    }\n\n    empty();\n  })[\"catch\"](function () {\n    $(\".loading\").hide();\n  });\n}\n\nfunction renderBillingPush(list, name, code) {\n  if (list.length === 0) {\n    return;\n  }\n\n  var str = \"\";\n\n  for (var i = 0; i < list.length; i++) {\n    str += \"<div class=\\\"billingPushItem\\\">\".concat(list[i].msg, \"</div>\");\n  }\n\n  var titleStr = \"<span class=\\\"moduleBoxName\\\">\".concat(name, \"</span>\");\n  var boxStr = \"<div class=\\\"moduleBox\\\">\\n        \".concat(titleStr, \"\\n        \").concat(str, \"\\n      </div>\");\n  $(\".\" + code).append(boxStr);\n  $('.moduleItem.' + code).addClass(\"tips\").attr(\"code\", code).css(\"display\", \"block\");\n}\n\nfunction renderLongStr(name, longStr, location) {\n  if (!longStr) {\n    return;\n  }\n\n  var str = \"\\n    <div class=\\\"longStrBox\\\" data-location=\\\"\".concat(location, \"\\\">\\n      <span class=\\\"longStrBoxTitle\\\">\").concat(name, \"\\uFF1A</span>\\n      \").concat(longStr, \"\\n    </div>\\n  \");\n  return str;\n}\n\nfunction renderItemWrapper(list, showNum) {\n  var showNum1 = showNum || 5;\n  var shortStr = '',\n      longStr = '';\n\n  for (var i = 0; i < list.length; i++) {\n    if (i <= showNum1 - 1) {\n      shortStr += renderPushItem(list[i]);\n    }\n\n    longStr += renderPushItem(list[i]);\n  }\n\n  if (showNum1 >= list.length) {\n    return {\n      shortStr: \"<div class=\\\"shortBox\\\">\".concat(shortStr, \"</div>\"),\n      longStr: ''\n    };\n  } else {\n    shortStr += \"<span class=\\\"showMore\\\"> <img class=\\\"iconArrowImg\\\" src=\\\"\".concat(showImg, \"\\\"></span>\");\n    longStr += \"<span class=\\\"showLess\\\"><img class=\\\"iconArrowImg\\\"  src=\\\"\".concat(collapseImg, \"\\\"></span>\");\n    return {\n      shortStr: \"<div class=\\\"shortBox clearfix\\\">\".concat(shortStr, \"</div>\"),\n      longStr: \"<div class=\\\"longBox clearfix\\\">\".concat(longStr, \"</div>\")\n    };\n  }\n}\n\nfunction renderPushItem(item) {\n  str = \"<span class=\\\"pushItemBox\\\" data-name=\\\"\".concat(item.name, \"\\\" data-type=\\\"\").concat(item.type, \"\\\">\");\n  str += \"\".concat(item.hasScale == \"0\" ? \"<span class=\\\"pushItemName\\\">\".concat(item.type == 8 ? '【' + item.name + '】' : item.name, \"</span>\") : item.hasScale == \"1\" ? \"<span class=\\\"pushItemName evaluationtitle\\\">\".concat(item.type == 8 ? '【' + item.name + '】' : item.name, \"</span>\") : \"<span class=\\\"pushItemName\\\">\".concat(item.type == 8 ? '【' + item.name + '】' : item.name, \"</span>\"));\n  str += \"\".concat(item.hasInfo == \"1\" ? \"<img class=\\\"infoImg\\\" src=\\\"\".concat(infoImg, \"\\\">\") : \"\");\n  str += '</span >';\n  return str;\n}\n\nfunction bindOpenInfo() {\n  $(\".infoImg\").on(\"mouseenter\", function () {\n    $(this).attr(\"src\", infoImgOn);\n  }).on(\"mouseleave\", function () {\n    $(this).attr(\"src\", infoImg);\n  });\n}\n\nfunction titleStr(type) {\n  var titleStr = '';\n  titleStr += \"<div class=\\\"moduleTitle\\\"><img class=\\\"titleIcon\\\" src=\".concat(titleConfigH[type].icon, \">\").concat(titleConfigH[type].name, \"\\uFF1A</div>\");\n  return titleStr;\n}\n\nfunction bindSlide() {\n  $(\".showMore\").off(\"click\").on(\"click\", function () {\n    var longBox = $(this).parent().next().length ? $(this).parent().next() : $(this).parent().parent().next();\n    $(\".longStrBox\").css(\"display\", \"none\");\n    longBox.css(\"display\", \"block\");\n    var location = longBox.attr(\"data-location\");\n    var scrollTop = getLongTop(location);\n    var n = Number(scrollTop) - 2 > -1 ? Number(scrollTop) - 2 : 0;\n    longBox.css(\"top\", n + \"px\");\n  });\n  $(\".showLess\").off(\"click\").on(\"click\", function () {\n    $(this).parent().parent().css(\"display\", \"none\");\n  });\n  addScrollEvent();\n}\n\nfunction showMoreNewPage() {\n  var codes = $(\".tips-cont\").attr(\"codes\");\n  $(\".showMoreNewPage\").on(\"click\", function () {\n    // openNewWin(`smartAlert.html?billMsgList=${encodeURIComponent(billMsgList)}&highRiskList=${encodeURIComponent(highRiskList)}&criticalValList=${encodeURIComponent(criticalValList)}&noteList=${encodeURIComponent(noteList)}`)\n    openNewWin(\"smartAlert.html?mrId=\".concat(mrId, \"&hospitalId=\").concat(hospitalIdUrl, \"&codes=\") + codes);\n  });\n}\n\nfunction showMoreCaseWrite() {\n  $(\".showMoreCaseWrite\").on(\"click\", function () {\n    // openNewWin(`smartAlert.html?billMsgList=${encodeURIComponent(billMsgList)}&highRiskList=${encodeURIComponent(highRiskList)}&criticalValList=${encodeURIComponent(criticalValList)}&noteList=${encodeURIComponent(noteList)}`)\n    openNewWin(\"caseWriteStandard.html?caseWriteStandradList=\".concat(encodeURIComponent(JSON.stringify(caseWriteStandradList))));\n  });\n}\n\nfunction bindGeneralSlide() {\n  $(\".showMoreGeneralTreat\").on(\"click\", function () {\n    openNewWin(\"generalTreat.html?disName=\".concat(treatDisName, \"&name=\").concat(treatUniqueName));\n  });\n}\n/*function setWidth() {\r\n  let winWidth = $(\".bodyWrap\").css(\"width\")\r\n  $(\".contentBox\").css(\"width\", winWidth)\r\n}*/\n//医学知识搜索\n\n\nsearchMedical();\n\nfunction searchMedical() {\n  $(\".medicalKonwledgeWrap .search\").on(\"click\", function () {\n    openNewWin(\"homeStatic.html?mrId=\".concat(mrId, \"&hospitalId=\").concat(hospitalIdUrl, \"&planCode=\").concat(planCode));\n  });\n}\n\nfunction moreInfo() {\n  $('.infoImg').off(\"click\").click(function () {\n    var name = $(this).parent().attr('data-name');\n    var type = $(this).parent().attr('data-type');\n    openNewWin(\"staticInfo.html?type=\".concat(encodeURIComponent(type), \"&position=0&name=\").concat(encodeURIComponent(name)));\n  });\n  $('.evaluationtitle').off(\"click\").click(function () {\n    var name = $(this).parent().attr('data-name');\n    var type = $(this).parent().attr('data-type');\n    openNewWin(\"staticInfo.html?type=\".concat(encodeURIComponent(type), \"&position=0&name=\").concat(encodeURIComponent(name), \"&page=1&gauge=gauge\"));\n  });\n}\n\nfunction pushItemName() {\n  $('.pushItemName').off(\"click\").click(function () {\n    console.log(11);\n    var name = $(this).parent().attr('data-name');\n    var type = $(this).parent().attr('data-type');\n    console.log(name);\n    openNewWin(\"staticInfo.html?type=\".concat(encodeURIComponent(type), \"&position=0&name=\").concat(encodeURIComponent(name)));\n  });\n}\n\nfunction getVersion() {\n  return post(config.getVersion, 'confArr').then(function (res) {\n    var data = res.data.data;\n    var ver = localStorage.getItem('versionTime');\n    var time = data.refreshTime;\n\n    if (!ver || ver !== time + \"=new\") {\n      //判断版本是否更新\n      $(\".versionWrapper\").append('<span class=\"versionNew\"></span>');\n      localStorage.setItem('versionTime', time + \"=new\"); //保存版本更新时间\n    } else {\n      $(\".versionNew\").remove();\n    }\n  });\n}\n\nfunction getLongTop(type) {\n  var scrollTop = 0;\n\n  if (type === \"left\") {\n    scrollTop = $(\".leftWrapper\").scrollTop() || 0;\n  } else if (type === \"right\") {\n    scrollTop = $(\".rightWrapper\").scrollTop() || 0;\n  }\n\n  return scrollTop;\n}\n\nfunction addScrollEvent() {\n  $(\".leftWrapper\").off(\"scroll\").scroll(throttle(function () {\n    if ($(\".leftWrapper .longStrBox:visible\").length) {\n      var n = Number(getLongTop(\"left\")) - 10 > -1 ? Number(getLongTop(\"left\")) - 10 : 0;\n      $(\".leftWrapper .longStrBox:visible\").css(\"top\", Number(getLongTop(\"left\")) - 2 + \"px\");\n    }\n  }, 100));\n  $(\".rightWrapper\").off(\"scroll\").scroll(throttle(function () {\n    if ($(\".rightWrapper .longStrBox:visible\").css(\"display\") === \"block\") {\n      var n = Number(getLongTop(\"right\")) > -1 ? Number(getLongTop(\"right\")) : 0;\n      $(\".rightWrapper .longStrBox:visible\").css(\"top\", n + \"px\");\n    }\n  }, 100));\n}\n\n$(function () {\n  //隐藏logo\n  if (getUrlArgObject(\"hideLg\")) {\n    $(\".versionTop .logoTxt\").hide();\n  }\n\n  getVersion();\n  $(\".versionTop\").on(\"click\", function () {\n    openNewWin(\"disclaimer.html\");\n  });\n  $(\".versionBottom\").on(\"click\", function () {\n    var ver = localStorage.getItem('versionTime');\n    $(\".versionBottom\").removeClass('new-icon');\n    localStorage.setItem('versionTime', ver.replace(\"=new\", \"\"));\n    openNewWin(\"version.html\");\n  });\n}); // function empty(){\n// $(\".responsibility\").css(\"display\",\"none\")\n// $('.recommendWrap .empty').css(\"display\",\"block\")\n// }\n\n//# sourceURL=webpack:///./src/js/cdssHorizontal.js?");

/***/ })

/******/ });